<?php

final class InitproKassa_Admin
{
    public static function init()
    {
        add_action('admin_head', array(__CLASS__, 'menu_correction'));
        add_action('admin_menu', array(__CLASS__, 'add_menu'));
        add_action('admin_menu', array(__CLASS__, 'add_menu_settings'));
        add_action('admin_menu', array(__CLASS__, 'add_menu_reports'));

        require_once(INITPROKASSA_ABSPATH . 'includes/class-initprokassa-admin-settings.php');
        require_once(INITPROKASSA_ABSPATH . 'includes/class-initprokassa-admin-reports.php');
    }

    public static function add_menu()
    {
        add_menu_page(
            'INITPRO Касса',
            'INITPRO Касса',
            'manage_options',
            'initprokassa',
            array(__CLASS__, 'settings_page'),
            null,
            '56.2'
        );
    }

    public static function add_menu_settings()
    {
        add_submenu_page(
            'initprokassa',
            'INITPRO Касса - Настройки',
            'Настройки',
            'manage_options',
            'initprokassa-settings',
            array(__CLASS__, 'settings_page')
        );
    }

    public static function add_menu_reports()
    {
        add_submenu_page(
            'initprokassa',
            'INITPRO Касса - Отчеты',
            'Отчеты',
            'manage_options',
            'initprokassa-reports',
            array(__CLASS__, 'reports_page')
        );
    }

    public static function menu_correction()
    {
        global $submenu;

        if (isset($submenu['initprokassa'])) {
            unset($submenu['initprokassa'][0]);
        }
    }

    public static function settings_page()
    {
        $adminController = new InitproKassa_AdminSettings();
        $adminController->out();
    }

    public static function reports_page()
    {
        InitproKassa_AdminReports::out();
    }
}
